export interface ISusDifficulty {
    TEXT: string;
    COLOR: string;
    BACKGROUND: string;
    LEVEL: number;
    MARK?: string;
}
export interface ISusLevel {
    LEVEL: number;
    TEXT: string;
    PLUS: boolean;
}
export interface ISusMeta {
    ARTIST?: string;
    BACKGROUND?: string;
    BASEBPM?: number;
    DESIGNER?: string;
    DIFFICULTY?: ISusDifficulty;
    JACKET?: string;
    MOVIE?: string;
    MOVIEOFFSET?: number;
    PLAYLEVEL?: ISusLevel;
    SONGID?: string;
    TITLE?: string;
    WAVE?: string;
    WAVEOFFSET?: number;
}
export interface ISusValidity {
    VALIDITY: boolean;
    MISSING_META: string[];
}
export interface IValidSusLine {
    key: TSusMeta;
    value: string;
}
declare type TSusMeta = keyof ISusMeta;
/**
 * メタデータのオブジェクトを返す関数
 * @param {String} sus - sus
 * @return {ISusMeta} メタデータ
 */
export declare function getMeta(sus: string): ISusMeta;
/**
 * sus譜面が有効かどうかを返す関数
 * @param {String} sus - sus
 * @return {ISusValidity} 結果
 */
export declare function validate(sus: string): ISusValidity;
export {};
