export interface ISusNotes {
    channel?: number;
    lane: number;
    laneType: number;
    measure: number;
    noteType: number;
    tick: number;
    width: number;
}
export interface ISusScore {
    measure: number;
    BPMs: number[];
    BEATs: number[];
    shortNotes: ISusNotes[];
    holdNotes: ISusNotes[][];
    slideNotes: ISusNotes[][];
    airActionNotes: ISusNotes[][];
    airNotes: ISusNotes[];
}
/**
 * susを解析する関数
 * @param {String} sus - sus文字列
 * @param {Number} [tickPerBeat=192] - TickPerBeat
 * @return {ISusScore} 譜面
 */
export declare function getScore(sus: string, tickPerBeat?: number): ISusScore;
